Name:           m4ri
Version:        20081028
Release:        3%{?dist}
Summary:        Linear Algebra over F_2
Group:          Development/Libraries
License:        GPLv2+
URL:            http://m4ri.sagemath.org/
Source0:        http://m4ri.sagemath.org/downloads/%{name}-%{version}.tar.gz
Source1:        m4ri-license-clarification.mbox
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
M4RI is a library for fast arithmetic with dense matrices over F_2.
The name M4RI comes from the first implemented algorithm: The "Method
of the Four Russians" inversion algorithm published by Gregory Bard.
M4RI is used by the Sage mathematics software and the PolyBoRi library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        static
Summary:        Static library files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    static
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
cp %{SOURCE1} ./license-clarification.mbox
chmod 0644 ./license-clarification.mbox


%build
%configure --with-openmp
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README license-clarification.mbox
%{_libdir}/lib%{name}-*.so


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so


%files static
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.a


%changelog
* Fri Nov 7 2008 Conrad Meyer <konrad@tylerc.org> - 20081028-3
- Add ldconfig.
- Move static libraries to -static subpackage.

* Thu Nov 6 2008 Conrad Meyer <konrad@tylerc.org> - 20081028-2
- Move the header files to -devel subpackage.

* Wed Nov 5 2008 Conrad Meyer <konrad@tylerc.org> - 20081028-1
- Initial package.
